Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232559 - Yum and pirut errors due to missing working storages.
Summary: Yum and pirut errors due to missing working storages.
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum
Version: 5.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 03:11 UTC by Jason Graham
Modified: 2013-01-10 10:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-23 15:40:13 UTC


Attachments (Terms of Use)
This file gives the output from the exception error when running pirut. (deleted)
2007-03-16 03:11 UTC, Jason Graham
no flags Details

Description Jason Graham 2007-03-16 03:11:05 UTC
Description of problem:
An error stating "Could not find any working storages." when running yum with
any options or arguments. An exception error occurs when pirut is run (see
attachment for output).

Version-Release number of selected component (if applicable):
yum: 3.0.1-5.el5
pirut: 1.2.10-1.el5

How reproducible:


Steps to Reproduce:
1. yum [options] [command] [package ...]
or
2. pirut
3.
  
Actual results:
yum: Could not find any working storages.
pirut: exception occurs (see attachment)

Expected results:


Additional info:

Comment 1 Jason Graham 2007-03-16 03:11:05 UTC
Created attachment 150196 [details]
This file gives the output from the exception error when running pirut.

Comment 2 Jeremy Katz 2007-03-19 22:05:48 UTC
What's the output of 
  rpm -V yum yum-metadata-parser
?

Comment 3 Jason Graham 2007-03-20 03:05:16 UTC
(In reply to comment #2)
> What's the output of 
>   rpm -V yum yum-metadata-parser
> ?

rpm -V yum yum-metadata-parser does not give any result.

I did find that this error was a result of the package
python-sqlite-2.3.3-1.el5.rf from rpmforge.net being installed. This package has
now been removed and the RHEL5 client package, python-sqlite-1.1.7-1.2.1, is
installed in its place. Yum and pirut now performs properly, which suggets a bug
with the rpmforge.net built package and not with yum or pirut. 

Comment 4 Jeremy Katz 2007-03-23 15:40:13 UTC
The two versions of python-sqlite aren't at all compatible.  rpmforge really
shouldn't be replacing packages like that.


Note You need to log in before you can comment on or make changes to this bug.